all:
	echo 😠

prod: build pushl

build:
	yes | ~/zola build -o ~/public_html

pushl:
	. /home/ydreniv/venv-pushl/bin/activate ; pushl -c pushl-cache/ "https://tilde.town/~ydreniv/atom.xml"

preprod:
	yes | ~/zola build --base-url https://tests.kestrels-and-roses.rocks/ydreniv --drafts
	echo "put -r public/* www" > sftp-batch.txt
	sftp -b sftp-batch.txt tests.kestrels-and-roses.rocks
	rm sftp-batch.txt
